<?php
namespace Example;

use \Mockery as m;

class FooTest extends \PHPUnit_Framework_TestCase {
    public function tearDown() {
        m::close();
    }

    public function testBar() {
        $mock = m::mock('Example\Foo');
        $mock->shouldReceive('bar')
             ->once()
             ->andReturn(true);

        $baz = new Baz($mock);

        $this->assertEquals(true, $baz->run());
    }
}
